Name:           oai-agent
Version:        1.0.0
Release:        1%{?dist}
Summary:        oai-agent is a terminal-based AI agent developed by the TencentOS team, enabling users to interact with AI capabilities, generate commands and code snippets.

License:        MIT
URL:            https://www.tencent.com
Source0:        %{name}-%{version}.tar.gz

ExclusiveArch:  x86_64

Requires:       libffi-devel

Provides:       /usr/bin/oai

%description
oai-agent is a terminal-based AI agent that allows users to interact with AI capabilities,
including natural language conversations, code generation and command suggestions,
making it a powerful tool for streamlining workflow and increasing productivity.

%prep
%setup -q -n %{name}

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/etc/
install -m 755 oai %{buildroot}/usr/bin/
mv oc-not-found-install.sh %{buildroot}/etc/

%post
source /etc/oc-not-found-install.sh

%files
/usr/bin/oai
/etc/oc-not-found-install.sh

%changelog
* Thu Sep 19 2024 Logan Li <loganlli@tencent.com> - 1.0.0-1
- Initial package
